Name:      ii
Version:   1.7
Release:   5%{?dist}
Summary:   IRC IT, simple FIFO based IRC client
Group:     Applications/Communications
License:   MIT
URL:       http://tools.suckless.org/%{name}
Source0:   http://dl.suckless.org/tools/%{name}-%{version}.tar.gz
Patch0:    %{name}-1.6-make.patch

%description
A minimalist FIFO and file-system-based IRC client. It creates an IRC
directory tree with server, channel and nick name directories. In every
directory a FIFO in file and a normal out file is created.

%prep
%setup -q
sed -i 's!^PREFIX *=.*!PREFIX = %{_prefix}!' config.mk
sed -i 's!^CFLAGS *=.*!CFLAGS = ${INCLUDES} -DVERSION=\\"${VERSION}\\" %{optflags}!' config.mk
%patch0 -p1 -b .make

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%doc LICENSE CHANGES FAQ README
%{_bindir}/ii
%{_mandir}/man1/ii.1*

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 07 2013 Petr Šabata <contyk@redhat.com> - 1.7-1
- 1.7 bump

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 25 2012 Petr Šabata <contyk@redhat.com> - 1.6-1
- Initial release
